function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { useSetState } from 'ahooks';
import dayjs from 'dayjs';
import { VmWrapper } from "../../../_components";
import DetailList from "./DetailList";
import Summary from "./Summary";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var SummaryStatistics = function SummaryStatistics() {
  var _useSetState = useSetState({
      startDate: dayjs().subtract(30, 'day'),
      endDate: dayjs()
    }),
    _useSetState2 = _slicedToArray(_useSetState, 2),
    state = _useSetState2[0],
    setState = _useSetState2[1];
  var startDay = dayjs(state.startDate).format('YYYY-MM-DD');
  var endDay = dayjs(state.endDate).format('YYYY-MM-DD');
  var filterChange = function filterChange(dateValue) {
    setState({
      startDate: dateValue[0],
      endDate: dateValue[1]
    });
  };
  return /*#__PURE__*/_jsxs("div", {
    className: 'vtx-restaurant-info-right-wrap',
    children: [/*#__PURE__*/_jsx("div", {
      style: {
        height: 138
      },
      children: /*#__PURE__*/_jsx(VmWrapper, {
        title: '收运进厂统计',
        filterType: "rangePicker",
        dateValue: [state.startDate, state.endDate],
        filterChange: filterChange,
        disabledDate: function disabledDate(current) {
          return current && current > dayjs().endOf('day');
        },
        children: /*#__PURE__*/_jsx(Summary, {
          startDay: startDay,
          endDay: endDay
        })
      })
    }), /*#__PURE__*/_jsx("div", {
      className: 'vtx-restaurant-info-right-wrap-bottom',
      children: /*#__PURE__*/_jsx(VmWrapper, {
        title: '收运记录明细',
        children: /*#__PURE__*/_jsx(DetailList, {
          startDay: startDay,
          endDay: endDay
        })
      })
    })]
  });
};
export default SummaryStatistics;